Skip to content

Get history for purchaseorder ​

GET
/v1/purchaseorders/{purchaseorder_id}/history

Authorizations​

api_key
Type
API Key (header: X-Api-Key)

Parameters​

Path Parameters

purchaseorder_id*

XS2event ID of the PurchaseOrder

Type
string
Required

Query Parameters

sorting
Type
string
Default
null
page_size

Number of items per page

Type
integer
Default
50
page

Current page

Type
integer
Default
1

Responses​

OK

application/json
JSON
{
  
"history": [
  
  
{
  
  
  
"purchaseorder_id": null,
  
  
  
"inactive_since": null,
  
  
  
"created": null,
  
  
  
"created_by": null,
  
  
  
"updated_by": null,
  
  
  
"purchaseorder": {
  
  
  
  
"purchaseorder_id": null,
  
  
  
  
"supplier_id": null,
  
  
  
  
"purchase_date": null,
  
  
  
  
"reference_number": null,
  
  
  
  
"comments": null,
  
  
  
  
"purchaseorder_status": null,
  
  
  
  
"event_id": null,
  
  
  
  
"bookingorder_id": null,
  
  
  
  
"booking_code": null,
  
  
  
  
"invoice_filename": null,
  
  
  
  
"proforma_invoice_filename": null,
  
  
  
  
"purchase_channel": null,
  
  
  
  
"purchase_source": null,
  
  
  
  
"invoices": [
  
  
  
  
],
  
  
  
  
"items": [
  
  
  
  
  
{
  
  
  
  
  
  
"category_id": null,
  
  
  
  
  
  
"category_name": null,
  
  
  
  
  
  
"ticket_id": null,
  
  
  
  
  
  
"ticket_name": null,
  
  
  
  
  
  
"event_name": null,
  
  
  
  
  
  
"sport_type": null,
  
  
  
  
  
  
"ticket_startdate": null,
  
  
  
  
  
  
"ticket_stopdate": null,
  
  
  
  
  
  
"costprice_eur": null,
  
  
  
  
  
  
"costprice": null,
  
  
  
  
  
  
"net_rate": null,
  
  
  
  
  
  
"currency": null,
  
  
  
  
  
  
"quantity": null,
  
  
  
  
  
  
"vat_category": null,
  
  
  
  
  
  
"use_allocation": null,
  
  
  
  
  
  
"purchaseorderitem_id": null,
  
  
  
  
  
  
"payout_price": null,
  
  
  
  
  
  
"payout_price_vat": null,
  
  
  
  
  
  
"payout_price_eur": null,
  
  
  
  
  
  
"payout_price_vat_eur": null
  
  
  
  
  
}
  
  
  
  
],
  
  
  
  
"payment_date": null,
  
  
  
  
"payment_status": null,
  
  
  
  
"sport_type": null,
  
  
  
  
"created_by": null,
  
  
  
  
"updated_by": null,
  
  
  
  
"updated": null
  
  
  
}
  
  
}
  
],
  
"pagination": {
  
  
"total_size": 1,
  
  
"page_size": 50,
  
  
"page_number": 1,
  
  
"next_page": "string",
  
  
"previous_page": "string"
  
}
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​